<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_media_uploads($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-02-media'); // 元の値を保持

	/*** 「-scaled」ファイルが生成されないようにする ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['disable-media-scaled'] ) && $value['disable-media-scaled'] === '1' ) {
		$value['disable-media-scaled'] = '1'; // 明示的に '1' を設定
	} else {
		$value['disable-media-scaled'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** EXIF情報を削除する ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['delete-exif-while-upload'] ) && $value['delete-exif-while-upload'] === '1' ) {
		$value['delete-exif-while-upload'] = '1'; // 明示的に '1' を設定
	} else {
		$value['delete-exif-while-upload'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** アップロード時にファイル名をEXIFの撮影日時に変更 ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['rename-file-by-exif-on-upload'] ) && $value['rename-file-by-exif-on-upload'] === '1' ) {
		$value['rename-file-by-exif-on-upload'] = '1'; // 明示的に '1' を設定
	} else {
		$value['rename-file-by-exif-on-upload'] = ''; // チェックされていない場合は空文字を設定
	}



	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}